Name:           selinux-collectdlocal
Version:        1.0
Release:        1%{?dist}
BuildArch:      noarch
Summary:        a SELinux local policy override for collectd

Group:          System Environment/Base
License:        GPLv2+
URL:            http://oss.tresys.com/repos/refpolicy/
Source0:        %{name}-%{version}.tar.bz2

BuildRequires:  checkpolicy policycoreutils
#Requires:       

%description
A SELinux local policy override for collectd. Solves the auditd spam
of AVC records like this one:

type=AVC msg=audit(1415887654.746:6): avc:  denied  { sys_ptrace } for  pid=1298 comm="collectd" capability=19  scontext=system_u:system_r:collectd_t:s0 tcontext=system_u:system_r:collectd_t:s0 tclass=capability


%prep
%setup -q


%build
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
#make install DESTDIR=$RPM_BUILD_ROOT

install -m 755 -d ${RPM_BUILD_ROOT}/usr/share/selinux/packages/%{name}-%{version}
install -m 755 -t ${RPM_BUILD_ROOT}/usr/share/selinux/packages/%{name}-%{version} collectdlocal.pp


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README.TXT
/usr/share/selinux/packages/%{name}-%{version}/collectdlocal.pp

%post
semodule -i /usr/share/selinux/packages/%{name}-%{version}/collectdlocal.pp

%postun
semodule -r collectdlocal &> /dev/null || :

%changelog
* Fri Nov 14 2014 Bussi Andrea <bussi@mfn.unipmn.it> - 1.0-1
- Initial Version

